Subject: Re: linux-next: build warning after merge of the tip tree

From: Ingo Molnar <[email-masked]>
Date: Tue, 20 Aug 2013 08:42:09 +0200

* Andi Kleen <[email-masked]> wrote:

> > > Introduced by commit 9a55fdbe941e ("x86, asmlinkage, paravirt: Add
> > > __visible/asmlinkage to xen paravirt ops").  The 2 definitions used to be
> > > identical ... maybe there should be only one.
> > 
> > Andi, please send a fix for this build warning, against 
> > tip:x86/asmlinkage.
> 
> I resent the patch. Thanks for the headsup.

I suspect hpa missed it because the patch was opaque and 
non-descriptive: the title talks about a 'warning' that is 
supposedly fixed but the changelog does not explain what 
warning it is and why the change matters.

Please use the customary changelog style we use in the 
kernel:

  " Current code does (A), this has a problem when (B).
    We can improve this doing (C), because (D)."

I've seen this pattern of deficient changelogs a dozen 
times in your patches this year alone ...

Thanks,

        Ingo